

from BaseDataMaintenance.model.ots.BaseModel import BaseModel

document_fix_partitionkey = "partitionkey"
document_fix_docid = "docid"
document_fix_attachments = "page_attachments"
document_fix_status = "status"
document_fix_count = "count"
document_fix_succeed_count = "succeed_count"
document_fix_new_attachment = "new_page_attachments"

class document_fix_page_attachments(BaseModel):

    def __init__(self,_dict):
        BaseModel.__init__(self)
        for k,v in _dict.items():
            self.setValue(k,v,True)
        self.table_name = "document_fix_page_attachments"

    def getPrimary_keys(self):
        return [document_fix_partitionkey,document_fix_docid]

